--
-- $Id$
--
-- Script containing customer specific sql statements for the ARAI database
-- Defaultwaarde van verplicht kenmerk invullen bij bestaande meldingen

DEFINE thisfile = 'ARAI#53131.SQL'
DEFINE dbuser   = '^ARAI'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

BEGIN
FAC.INITSESSION('NL');
END;
/

INSERT INTO mld_kenmerkmelding (mld_melding_key,
                                mld_kenmerk_key,
                                mld_kenmerkmelding_waarde)
   SELECT m.mld_melding_key,
          -- kenmerk evenement bij meldingen Storingsdienst TD
          1221,
          -- standaardwaarde die verwijst naar eigen tabel
          28321
     FROM mld_melding m,            
          mld_discipline md,
          mld_stdmelding s
    WHERE m.mld_stdmelding_key = s.mld_stdmelding_key
          AND md.ins_srtdiscipline_key = 41 -- Storingsdienst TD
          AND md.ins_discipline_key = s.mld_ins_discipline_key
          AND m.mld_melding_status IN (2, 3, 4, 7) -- Nieuw, te accepteren, in behandeling, uitgegeven
          AND NOT EXISTS -- Alleen meldingen die het kenmerk NIET gevuld hebben
              (SELECT 1
                  FROM mld_kenmerkmelding
                      WHERE mld_melding_key = m.mld_melding_key
                      -- kenmerk key van evenement bij Storingsdienst TD
                      AND mld_kenmerk_key = 1221);
                                            
------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile